Bug 1013857 - [abrt] rhythmbox-3.0-3.fc20: g_hash_table_lookup_node: Process /usr/bin/rhythmbox was killed by signal 8 (SIGFPE)
[abrt] rhythmbox-3.0-3.fc20: g_hash_table_lookup_node: Process /usr/bin/rhyth...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:1ae168e4196088a70e4f0e3e7f4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 19:59 EDT by Matteo Settenvini
Modified: 2015-06-29 08:30 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.74 KB, text/plain)
2013-09-30 19:59 EDT, Matteo Settenvini
no flags Details
File: cgroup (160 bytes, text/plain)
2013-09-30 19:59 EDT, Matteo Settenvini
no flags Details
File: core_backtrace (14.68 KB, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details
File: dso_list (23.00 KB, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details
File: environ (1.35 KB, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details
File: maps (100.06 KB, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details
File: open_fds (502 bytes, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details
File: var_log_messages (807 bytes, text/plain)
2013-09-30 20:00 EDT, Matteo Settenvini
no flags Details

  None (edit)
Description Matteo Settenvini 2013-09-30 19:59:44 EDT
Description of problem:
Often happens when closing the application, even without trying to play any music. E.g. just opening, waiting a bit (maybe a job starts in the background scanning the library?), and closing rhythmbox.

Version-Release number of selected component:
rhythmbox-3.0-3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_hash_table_lookup_node
executable:     /usr/bin/rhythmbox
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_hash_table_lookup_node at ghash.c:371
 #1 g_hash_table_lookup at ghash.c:1076
 #2 rb_refstring_new at rb-refstring.c:86
 #3 rhythmdb_execute_load at rhythmdb.c:2682
 #4 action_thread_main at rhythmdb.c:2882
 #5 g_thread_proxy at gthread.c:798
 #7 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Potential duplicate: bug 698735
Comment 1 Matteo Settenvini 2013-09-30 19:59:55 EDT
Created attachment 805634 [details]
File: backtrace
Comment 2 Matteo Settenvini 2013-09-30 19:59:58 EDT
Created attachment 805635 [details]
File: cgroup
Comment 3 Matteo Settenvini 2013-09-30 20:00:06 EDT
Created attachment 805636 [details]
File: core_backtrace
Comment 4 Matteo Settenvini 2013-09-30 20:00:11 EDT
Created attachment 805637 [details]
File: dso_list
Comment 5 Matteo Settenvini 2013-09-30 20:00:15 EDT
Created attachment 805638 [details]
File: environ
Comment 6 Matteo Settenvini 2013-09-30 20:00:18 EDT
Created attachment 805639 [details]
File: limits
Comment 7 Matteo Settenvini 2013-09-30 20:00:23 EDT
Created attachment 805640 [details]
File: maps
Comment 8 Matteo Settenvini 2013-09-30 20:00:27 EDT
Created attachment 805641 [details]
File: open_fds
Comment 9 Matteo Settenvini 2013-09-30 20:00:30 EDT
Created attachment 805642 [details]
File: proc_pid_status
Comment 10 Matteo Settenvini 2013-09-30 20:00:33 EDT
Created attachment 805643 [details]
File: var_log_messages
Comment 11 daramas444 2013-12-29 15:29:14 EST
Another user experienced a similar problem:

play a song with rhythmbox
crashes

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/rhythmbox
crash_function: g_hash_table_lookup_node
executable:     /usr/bin/rhythmbox
kernel:         3.12.5-302.fc20.x86_64
package:        rhythmbox-3.0.1-2.fc20
reason:         rhythmbox killed by SIGFPE
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 nartes 2014-06-17 10:42:54 EDT
Another user experienced a similar problem:

was connecting android phone via MTP

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_hash_table_lookup_node
executable:     /usr/bin/rhythmbox
kernel:         3.14.7-200.fc20.x86_64
package:        rhythmbox-3.0.3-1.fc20
reason:         rhythmbox killed by SIGFPE
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2015-05-29 05:29:18 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:30:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.